# regconcat

## Name

regconcat — Combine several Regina data files

## Synopsis

regconcat [`-o` `output-file`] {`input-file`...}

## Description

This utility combines several individual Regina data files into a single larger data file. The new file will have a container as its top-level packet, and beneath this container will be the packet trees from each of the input files that you supply.

If an output file is specified through option `-o`, the new file will be written as compressed XML to this output file. Otherwise the new file will be written as uncompressed XML to standard output.

## Options

`-o` `output-file`

  Specifies that the new combined data file should be written as compressed XML to the given output file.

## MacOS X Users

If you downloaded a drag-and-drop app bundle, this utility is shipped inside it. If you dragged Regina to the main Applications folder, you can run it as `/Applications/Regina.app/Contents/MacOS/regconcat`.

## Windows Users

The command-line utilities are installed beneath the `Program Files` directory; on some machines this directory is called `Program Files (x86)`. You can start this utility by running `c:\Program Files\Regina\Regina 4.95\bin\regconcat.exe`.

## See Also

regina-gui.

## Author

This utility was written by Benjamin Burton `<bab@debian.org>`. Many people have been involved in the development of Regina; see the acknowledgements page for a full list of credits.